Bug 60261 - up2date retrieves source packages multiple times
up2date retrieves source packages multiple times
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-23 01:40 EST by Scott Marshall
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 20:11:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Marshall 2002-02-23 01:40:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21 i686; Nav)

Description of problem:
When up2date is configured to retrieve source packages in addition to the binary
packages, it retrieves the source package (SRPM) for each instance of a child
binary package (RPM).
ie where a single source package generates multiple binary packages when built,
up2date retrieves the same parent SRPM package for each child RPM package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Ensure up2date is configured to retrieve SRPMs in addition to RPMs
2. Select a package (eg XFree86 or kernel) which builds mutliple target RPMs
from the SRPM.
3. Commence the download, and watch what happens with the .src.rpm files as each
binary RPM is retrieved.
	

Actual Results:  The first child RPM is retrieved.  Then the source RPM is
retrieved.
A second child RPM is retrieved, then the SRPM which generates the child RPMs is
retrieved once more.

Expected Results:  up2date should have flagged that the SRPM has already been
retrieved, and skip it for the following dependent child RPMs.

Additional info:

This bug has a high impact on people who are using narrow-band connectivity to
retrieve updates, as the time to retrieve blows out inordinately.
Additionally, there is a significant cost factor for people who are charged by
connection time and/or volume transferred, such as broadband users.
Comment 1 Adrian Likins 2002-02-26 13:54:27 EST
This is fixed in the next version of the client.
Comment 2 David M. Cook 2002-03-11 16:02:07 EST
verified for 2.7.42
Comment 3 Glen A. Foster 2003-01-03 14:47:27 EST
I just re-created this using up2date-2.7.61-7.x.2; I've commented out the
"skiplist" so that I can download all RPMs automatically... and this is the
output I get (using TUI-mode):

[root@longs root]# up2date -u -d --nosig --src
 
Retrieving list of all available packages...
########################################
########################################
 
Removing installed packages from list of updates...
########################################
 
Removing packages marked to skip from list...
########################################
 
Getting headers for available packages...
########################################
 
Removing packages with files marked to skip from list...
########################################
 
Testing package set / solving RPM inter-dependencies...
########################################
Retrieving selected packages...
Canna-3.5b2-50.as21.1.ia64. ########################## Done.
Canna-3.5b2-50.as21.1.src.r ########################## Done.
Canna-devel-3.5b2-50.as21.1 ########################## Done.
Canna-3.5b2-50.as21.1.src.r ########################## Done.
Canna-libs-3.5b2-50.as21.1. ########################## Done.
Canna-3.5b2-50.as21.1.src.r ########################## Done.
arts-2.2.2-3.ia64.rpm:      ########################## Done.
kdelibs-2.2.2-3.src.rpm:    ########################## Done.
clumanager-1.0.16-7.ia64.rp ########################## Done.
clumanager-1.0.16-7.src.rpm ########################## Done.
cpp-2.96-116.7.2.ia64.rpm:  ########################## Done.
gcc-2.96-116.7.2.src.rpm:   ########################## Done.
fetchmail-5.9.0-21.7.3.ia64 ########################## Done.
fetchmail-5.9.0-21.7.3.src. ########################## Done.
fetchmailconf-5.9.0-21.7.3. ########################## Done.
fetchmail-5.9.0-21.7.3.src. ########################## Done.
gcc-2.96-116.7.2.ia64.rpm:  ########################## Done.
gcc-2.96-116.7.2.src.rpm:   ########################## Done.
gcc-c++-2.96-116.7.2.ia64.r ########################## Done.
gcc-2.96-116.7.2.src.rpm:   ########################## Done.
gcc-chill-2.96-116.7.2.ia64 ########################## Done.
gcc-2.96-116.7.2.src.rpm:   ########################## Done.
gcc-g77-2.96-116.7.2.ia64.r ########################## Done.
gcc-2.96-116.7.2.src.rpm:   ########################## Done.
gcc-objc-2.96-116.7.2.ia64. ########################## Done.
gcc-2.96-116.7.2.src.rpm:   ########################## Done.
ggv-1.0.2-5.1.ia64.rpm:     ########################## Done.
ggv-1.0.2-5.1.src.rpm:      ########################## Done.
gv-3.5.8-18.7x.ia64.rpm:    ########################## Done.
gv-3.5.8-18.7x.src.rpm:     ########################## Done.
kdegraphics-2.2.2-2.1.ia64. ########################## Done.
kdegraphics-2.2.2-2.1.src.r ########################## Done.
kdegraphics-devel-2.2.2-2.1 ########################## Done.
kdegraphics-2.2.2-2.1.src.r ########################## Done.
kdelibs-2.2.2-3.ia64.rpm:   ########################## Done.
kdelibs-2.2.2-3.src.rpm:    ########################## Done.
kdelibs-devel-2.2.2-3.ia64. ########################## Done.
kdelibs-2.2.2-3.src.rpm:    ########################## Done.
kdelibs-sound-2.2.2-3.ia64. ########################## Done.
kdelibs-2.2.2-3.src.rpm:    ########################## Done.
kdelibs-sound-devel-2.2.2-3 ########################## Done.
kdelibs-2.2.2-3.src.rpm:    ########################## Done.
kernel-2.4.18-tpc.0.18.ia64 ########################## Done.
kernel-2.4.18-tpc.0.18.src. ########################## Done.
kernel-doc-2.4.18-tpc.0.18. ########################## Done.
kernel-2.4.18-tpc.0.18.src. ########################## Done.
kernel-source-2.4.18-tpc.0. ########################## Done.
kernel-2.4.18-tpc.0.18.src. ########################## Done.
krb5-devel-1.2.2-15.ia64.rp ########################## Done.
krb5-1.2.2-15.src.rpm:      ########################## Done.
krb5-libs-1.2.2-15.ia64.rpm ########################## Done.
krb5-1.2.2-15.src.rpm:      ########################## Done.
krb5-server-1.2.2-15.ia64.r ########################## Done.
krb5-1.2.2-15.src.rpm:      ########################## Done.
krb5-workstation-1.2.2-15.i ########################## Done.
krb5-1.2.2-15.src.rpm:      ########################## Done.
libstdc++-2.96-116.7.2.ia64 ########################## Done.
gcc-2.96-116.7.2.src.rpm:   ########################## Done.
libstdc++-devel-2.96-116.7. ########################## Done.
gcc-2.96-116.7.2.src.rpm:   ########################## Done.
nss_ldap-189-4.ia64.rpm:    ########################## Done.
nss_ldap-189-4.src.rpm:     ########################## Done.
openssl-0.9.6b-28.ia64.rpm: ########################## Done.
openssl-0.9.6b-28.src.rpm:  ########################## Done.
openssl-devel-0.9.6b-28.ia6 ########################## Done.
openssl-0.9.6b-28.src.rpm:  ########################## Done.
openssl-perl-0.9.6b-28.ia64 ########################## Done.
openssl-0.9.6b-28.src.rpm:  ########################## Done.
openssl095a-0.9.5a-18.ia64. ########################## Done.
openssl095a-0.9.5a-18.src.r ########################## Done.
openssl096-0.9.6-13.ia64.rp ########################## Done.
openssl096-0.9.6-13.src.rpm ########################## Done.
php-4.1.2-2.1.6.ia64.rpm:   ########################## Done.
php-4.1.2-2.1.6.src.rpm:    ########################## Done.
php-devel-4.1.2-2.1.6.ia64. ########################## Done.
php-4.1.2-2.1.6.src.rpm:    ########################## Done.
php-imap-4.1.2-2.1.6.ia64.r ########################## Done.
php-4.1.2-2.1.6.src.rpm:    ########################## Done.
php-ldap-4.1.2-2.1.6.ia64.r ########################## Done.
php-4.1.2-2.1.6.src.rpm:    ########################## Done.
php-manual-4.1.2-2.1.6.ia64 ########################## Done.
php-4.1.2-2.1.6.src.rpm:    ########################## Done.
php-mysql-4.1.2-2.1.6.ia64. ########################## Done.
php-4.1.2-2.1.6.src.rpm:    ########################## Done.
php-odbc-4.1.2-2.1.6.ia64.r ########################## Done.
php-4.1.2-2.1.6.src.rpm:    ########################## Done.
php-pgsql-4.1.2-2.1.6.ia64. ########################## Done.
php-4.1.2-2.1.6.src.rpm:    ########################## Done.
util-linux-2.11f-20.ia64.rp ########################## Done.
util-linux-2.11f-20.src.rpm ########################## Done.
webalizer-2.01_09-1.72.ia64 ########################## Done.
webalizer-2.01_09-1.72.src. ########################## Done.
wget-1.8.2-4.72.ia64.rpm:   ########################## Done.
wget-1.8.2-4.72.src.rpm:    ########################## Done.
ypserv-1.3.12-2.AS21.ia64.r ########################## Done.
ypserv-1.3.12-2.AS21.src.rp ########################## Done.

... notice the "duplicate SRPM pull" for Canna, kdelibs, fetchmail, kernel, gcc,
krb5, and php SRPMs.
Comment 4 Jay Turner 2003-02-14 09:51:43 EST
Looks like we still have an issue with up2date-3.1.15-7:

Testing package set / solving RPM inter-dependencies...
########################################
libmrproject-0.8pre-4.i386. ########################## Done.
libmrproject-0.8pre-4.src.r ########################## Done.
libmrproject-devel-0.8pre-4 ########################## Done.
libmrproject-0.8pre-4.src.r ########################## Done.
Comment 5 Adrian Likins 2003-08-06 18:17:55 EDT
The output just indicates the package was found in the cache, not
that it was downloaded multiple times.

fixed in recent versions anyway.

Note You need to log in before you can comment on or make changes to this bug.